For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETList project user roles
      • DELRemove a user from a given project
      • PATCHUpdate user roles for the given project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceProject Permissions

Update user roles for the given project

PATCH
https://api.frame.io/v4/accounts/:account_id/projects/:project_id/users/:user_id
PATCH
/v4/accounts/:account_id/projects/:project_id/users/:user_id
1from frameio import Frameio, UpdateUserRolesParamsData
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.project_permissions.project_user_roles_update(
8 account_id="66988f6d-ebb6-4f9d-9ec2-d4217adf65d7",
9 project_id="bff5180e-3057-4083-bc52-33fcce35009d",
10 user_id="ae325b0f-36c3-4b4c-9c4f-714d3c3b92f2",
11 data=UpdateUserRolesParamsData(
12 role="editor",
13 ),
14)
1{
2 "data": {
3 "role": "editor"
4 }
5}

Update user roles for the given project if the user is already added to the project. If the user is not added to the project, the user will be added with the given role.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Create project

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
project_idstringRequiredformat: "uuid"
A UUID String
user_idstringRequiredformat: "uuid"
A UUID String

Request

Update user roles params body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error